### Struct

# ECal ComponentId

#### Description [src]

    struct ECalComponentId {
      /* No available fields */
    }

An opaque structure containing UID of a component and its recurrence ID (which can be `NULL`). Use the functions below to work with it.

#### Constructors

###### e_cal_component_id_new

Creates a new `ECalComponentId` from `uid` and `rid`, which should be freed with e_cal_component_id_free().

since: 3.10

###### e_cal_component_id_new_take

Creates a new `ECalComponentId` from `uid` and `rid`, which should be freed with e_cal_component_id_free(). The function assumes ownership of `uid` and `rid` parameters.

since: 3.34

#### Instance methods

###### e_cal_component_id_copy

Returns a newly allocated copy of `id`, which should be freed with e_cal_component_id_free().

since: 3.10

###### e_cal_component_id_equal

Compares two `ECalComponentId` structs for equality.

since: 3.10

###### e_cal_component_id_free

Free the `id`, previously created by e_cal_component_id_new(), `e_cal_component_id_new_take()` or e_cal_component_id_copy().

###### e_cal_component_id_get_rid

No description available.

since: 3.34

###### e_cal_component_id_get_uid

No description available.

since: 3.34

###### e_cal_component_id_hash

Generates a hash value for `id`.

since: 3.10

###### e_cal_component_id_set_rid

Sets the RECURRENCE-ID part of the `id`. The `rid` can be `NULL` or an empty string, where both are treated as `NULL`, which means the `id` has not RECURRENCE-ID.

since: 3.34

###### e_cal_component_id_set_uid

Sets the UID part of the `id`.

since: 3.34